# Class TGetInfoValue

java.lang.Object
org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>
com.databricks.jdbc.model.client.thrift.generated.TGetInfoValue

All Implemented Interfaces:
  `Serializable`, `Comparable<TGetInfoValue>`, `org.apache.thrift.TBase<TGetInfoValue,TGetInfoValue._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TGetInfoValue extends org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TGetInfoValue._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TGetInfoValue._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

## Constructor Summary

Constructors
Constructor
Description
`TGetInfoValue()`
`TGetInfoValue(TGetInfoValue other)`
`TGetInfoValue(TGetInfoValue._Fields setField, Object value)`

## Method Summary

Modifier and Type
Method
Description
`static TGetInfoValue`
`binaryValue(int value)`
`protected void`
`checkType(TGetInfoValue._Fields setField, Object value)`
`int`
`compareTo(TGetInfoValue other)`
`TGetInfoValue`
`deepCopy()`
`protected TGetInfoValue._Fields`
`enumForId(short id)`
`boolean`
`equals(TGetInfoValue other)`
`boolean`
`equals(Object other)`
`TGetInfoValue._Fields`
`fieldForId(int fieldId)`
`int`
`getBinaryValue()`
`protected org.apache.thrift.protocol.TField`
`getFieldDesc(TGetInfoValue._Fields setField)`
`int`
`getIntegerBitmask()`
`int`
`getIntegerFlag()`
`long`
`getLenValue()`
`short`
`getSmallIntValue()`
`String`
`getStringValue()`
`protected org.apache.thrift.protocol.TStruct`
`getStructDesc()`
`int`
`hashCode()`
`static TGetInfoValue`
`integerBitmask(int value)`
`static TGetInfoValue`
`integerFlag(int value)`
`boolean`
`isSetBinaryValue()`
`boolean`
`isSetIntegerBitmask()`
`boolean`
`isSetIntegerFlag()`
`boolean`
`isSetLenValue()`
`boolean`
`isSetSmallIntValue()`
`boolean`
`isSetStringValue()`
`static TGetInfoValue`
`lenValue(long value)`
`void`
`setBinaryValue(int value)`
`void`
`setIntegerBitmask(int value)`
`void`
`setIntegerFlag(int value)`
`void`
`setLenValue(long value)`
`void`
`setSmallIntValue(short value)`
`void`
`setStringValue(String value)`
`static TGetInfoValue`
`smallIntValue(short value)`
`protected Object`
`standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void`
`standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`
`static TGetInfoValue`
`stringValue(String value)`
`protected Object`
`tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void`
`tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### metaDataMap

public static final Map<TGetInfoValue._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TGetInfoValue

public TGetInfoValue()

### TGetInfoValue

public TGetInfoValue(TGetInfoValue._Fields setField, Object value)

### TGetInfoValue

public TGetInfoValue(TGetInfoValue other)

## Method Details

### deepCopy

public TGetInfoValue deepCopy()

### stringValue

public static TGetInfoValue stringValue(String value)

### smallIntValue

public static TGetInfoValue smallIntValue(short value)

### integerBitmask

public static TGetInfoValue integerBitmask(int value)

### integerFlag

public static TGetInfoValue integerFlag(int value)

### binaryValue

public static TGetInfoValue binaryValue(int value)

### lenValue

public static TGetInfoValue lenValue(long value)

### checkType

protected void checkType(TGetInfoValue._Fields setField, Object value) throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`
Throws:
  `ClassCastException`

### standardSchemeReadValue

protected Object standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field) throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### standardSchemeWriteValue

protected void standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeReadValue

protected Object tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeWriteValue

protected void tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`
Throws:
  `org.apache.thrift.TException`

### getFieldDesc

protected org.apache.thrift.protocol.TField getFieldDesc(TGetInfoValue._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`

### getStructDesc

protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`

### enumForId

protected TGetInfoValue._Fields enumForId(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields>`

### fieldForId

public TGetInfoValue._Fields fieldForId(int fieldId)

### getStringValue

public String getStringValue()

### setStringValue

public void setStringValue(String value)

### getSmallIntValue

public short getSmallIntValue()

### setSmallIntValue

public void setSmallIntValue(short value)

### getIntegerBitmask

public int getIntegerBitmask()

### setIntegerBitmask

public void setIntegerBitmask(int value)

### getIntegerFlag

public int getIntegerFlag()

### setIntegerFlag

public void setIntegerFlag(int value)

### getBinaryValue

public int getBinaryValue()

### setBinaryValue

public void setBinaryValue(int value)

### getLenValue

public long getLenValue()

### setLenValue

public void setLenValue(long value)

### isSetStringValue

public boolean isSetStringValue()

### isSetSmallIntValue

public boolean isSetSmallIntValue()

### isSetIntegerBitmask

public boolean isSetIntegerBitmask()

### isSetIntegerFlag

public boolean isSetIntegerFlag()

### isSetBinaryValue

public boolean isSetBinaryValue()

### isSetLenValue

public boolean isSetLenValue()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TGetInfoValue other)

### compareTo

public int compareTo(TGetInfoValue other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`